#!/bin/sh

sleep 20

echo "*****************************************"
echo "**      Firmware mod by mrmt32         **"
echo "**        mrmt32@ph-mb.com             **"
echo "*****************************************"
echo
echo "Custom Firmware > Loading mini_httpd"
/bin/mini_httpd -d /webs-EN -p 8324 -c "**sh" -u admin

echo "Custom Firmware > Read Config"
fast backup-config read > /tmp/backup.xml
fast psi-config read > /tmp/config.xml

echo "Custom Firmware > Set .htpassswd"
getpw /tmp/config.xml > /tmp/.htpasswd

echo "Custom Firmware > Find number of lines"
wc /tmp/backup.xml > /tmp/lines.txt

if [ `cat /tmp/lines.txt` -lt 4 ]; then
/bin/setup.sh NO_CONFIG 123456
fi
